DBMAIL-DELIVER(1)

NAME
dbmail-deliver - inserts messages into the DBMail mailsystem.

SYNOPSIS

dbmail-deliver [-t headerfield] [-d addresses] [-u usernames] [-m|-M mailboxname] [-r return path] [-f configFile]

DESCRIPTION

The dbmail-deliver program inserts messages from the commandline or from any MTA into the DBMail mailsystem. The program reads from standard input.

OPTIONS

-t headerfield
    Deliver messages to the recipient MIME header specified in headerfield. The default header to use is the "Delivered-To:" header.

-d addresses...
    Deliver messages to the recipients specified by addresses. This option is mostly used for delivery from an MTA. Separate multiple addresses by spaces.

-u usernames...
    Deliver messages straight to the given username. Separate multiple usernames with spaces.

-m mailboxname
    Deliver messages to mailbox mailboxname of the recipient. If this mailbox does not exist yet, it is created. Sieve scripts will be run normally, possibly altering the destination mailbox.

-M mailboxname
    Deliver messages to mailbox mailboxname of the recipient. If this mailbox does not exist yet, it is created. Sieve scripts are not run. Permission checks are not performed for mailbox creation or message delivery.

-r returnpath
    Set return path for bounces and other error reports to return path.

COMMON OPTIONS

-f configfile
    Specify an alternate config file. The utilities are currently hardcoded to use /etc/dbmail.conf for their configs, and will halt if the config file cannot be found. Use the -f configfile option to specify your system’s preferred config file location. Debian is patched to have /etc/dbmail/dbmail.conf as the default.

-q
    Quietly skip interactive prompts and helpful status messages which would otherwise be printed to stdout. Use two -q’s to silence errors which would otherwise be printed to stderr.

-v
    Operate verbosely. Some of the utilities in the DBMail suite can take two -v’s for extra verbosity. Those which don’t understand this convention won’t complain about having the extra -v and will simply operate at their normal verbosity.

-V
    Show the version and copyright, then exit.

-h
    Show a brief summary of options, then exit.

BUGS

If you experience inexplicable problems with DBMail, please report the issue to the DBMail Bug Tracker[1].

LICENSE

DBMail and its components are distributed under the terms of the GNU General Public License. Copyrights are held variously by the authors listed below.

AUTHOR(S)

DBMail is a collaborative effort among the core developers listed below and the tremendous help of the testers, patchers and bug hunters listed in the AUTHORS and THANKS files found in the DBMail source distribution.

    Eelco van Beek      Aaron Stone            Paul J Stevens
    Roel Rozendaal      Open Source Engineer   NFG Net Facilities Group BV
    Ilja Booij          Palo Alto, CA USA      http://www.nfg.nl
    IC&S                http://hydricacid.com
    http://www.ic-s.nl

NOTES

1.  DBMail Bug Tracker
    http://dbmail.org/mantis/